Package org.apache.commons.math3.geometry.euclidean.threed

# Class Segment

java.lang.Object
org.apache.commons.math3.geometry.euclidean.threed.Segment

public class Segment extends Object
Simple container for a two-points segment.

Since:
  3.0

## Constructor Summary

Constructors
Constructor
Description
`Segment(Vector3D start, Vector3D end, Line line)`
Build a segment.

## Method Summary

Modifier and Type
Method
Description
`Vector3D`
`getEnd()`
Get the end point of the segment.
`Line`
`getLine()`
Get the line containing the segment.
`Vector3D`
`getStart()`
Get the start point of the segment.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Segment

public Segment(Vector3D start, Vector3D end, Line line)
Build a segment.

Parameters:
  `start` - start point of the segment
  `end` - end point of the segment
  `line` - line containing the segment

## Method Details

### getStart

public Vector3D getStart()
Get the start point of the segment.

Returns:
  start point of the segment

### getEnd

public Vector3D getEnd()
Get the end point of the segment.

Returns:
  end point of the segment

### getLine

public Line getLine()
Get the line containing the segment.

Returns:
  line containing the segment